## libjs-fetch 2.0.3

=== Makefile ===
test: node_modules/ lint
	./script/test

lint: node_modules/
	./node_modules/.bin/jshint *.js test/*.js

node_modules/:
	npm install

clean:
	rm -rf ./bower_components ./node_modules

ifeq ($(shell uname -s),Darwin)
sauce_connect/bin/sc:
	wget https://saucelabs.com/downloads/sc-4.3.16-osx.zip
	unzip sc-4.3.16-osx.zip
	mv sc-4.3.16-osx sauce_connect
	rm sc-4.3.16-osx.zip
else
sauce_connect/bin/sc:
	mkdir -p sauce_connect
	curl -fsSL http://saucelabs.com/downloads/sc-4.3.16-linux.tar.gz | tar xz -C sauce_connect --strip-components 1
endif

phantomjs/bin/phantomjs:
	mkdir -p phantomjs
	wget https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-2.1.1-linux-x86_64.tar.bz2 -O- | tar xj -C phantomjs --strip-components 1

.PHONY: clean lint test

=== debian/changelog ===
libjs-fetch (2.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #870726)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 04 Aug 2017 15:47:47 +0100

=== debian/control ===
Source: libjs-fetch
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               lsof <!nocheck>,
               node-uglify,
               chai <!nocheck>,
               mocha <!nocheck>,
               nodejs (>= 6.11.2~dfsg-2) <!nocheck> | nodejs-legacy <!nocheck>,
               node-browserify-lite <!nocheck>,
               node-es6-promise <!nocheck>,
               phantomjs <!nocheck>,
               dbus-x11 <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-fetch.git
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-fetch.git
Homepage: https://github.com/github/fetch

Package: libjs-fetch
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: window.fetch JavaScript polyfill
 The fetch() function is a Promise-based mechanism for programmatically making
 web requests in the browser. This project is a polyfill that implements a
 subset of the standard Fetch specification, enough to make fetch a viable
 replacement for most uses of XMLHttpRequest in traditional web applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	mkdir -p node_modules/chai node_modules/promise-polyfill
	ln -sf $(CURDIR)/debian/missing-sources/mocha-phantomjs-core/ ./node_modules/
	ln -sf /usr/lib/nodejs/mocha ./node_modules/
	# promise-polyfill not in Debian, use es6-promise
	ln -sf /usr/lib/nodejs/es6-promise/dist/es6-promise.js ./node_modules/promise-polyfill/promise.js
	# Build our own browserified chai from chai's node modules
	# TODO: ideally this should be fixed in the chai package, file them a bug
	NODE_PATH=/usr/lib/nodejs browserify-lite /usr/lib/nodejs/chai/index.js --outfile node_modules/chai/chai.js --standalone chai
	# this is needed to work around a node-browserify-lite deficiency, for test-worker.html to work
	sed -i -e '1,10s/window/this/g' node_modules/chai/chai.js
endif

override_dh_auto_build:
	uglifyjs -o fetch.min.js fetch.js

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	xvfb-run -a -s "-screen 0 640x480x16" ./script/test
endif

get-orig-source:
	uscan --download-current-version --force-download --no-symlink

## libjs-fetch 3.0.0

=== Makefile ===
test: lint dist/fetch.umd.js

lint: node_modules/
	./node_modules/.bin/eslint --report-unused-disable-directives *.js test/*.js

dist/fetch.umd.js: fetch.js rollup.config.js node_modules/
	./node_modules/.bin/rollup -c

dist/fetch.umd.js.flow: fetch.js.flow
	cp $< $@

node_modules/:
	npm install

clean:
	rm -rf ./bower_components ./node_modules

.PHONY: clean lint test

=== debian/changelog ===
libjs-fetch (3.0.0-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Team upload
  * Non-maintainer upload.
  * Add upstream/metadata
  * Import upstream version 3.0.0 (Closes: #884154, #887583)
  * Declare compliance with policy 4.3.0
  * Disable test, unusable now
  * Remove test dependencies
  * Bump debhelper compatibility level to 11
  * Update VCS fields to salsa
  * Install docs
  * Remove old get-orig-source target

 -- Xavier Guimard <yadd@debian.org>  Thu, 24 Jan 2019 11:45:19 +0100

=== debian/control ===
Source: libjs-fetch
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11~),
               node-uglify,
               chai <!nocheck>,
               nodejs (>= 6.11.2~dfsg-2) <!nocheck> | nodejs-legacy <!nocheck>,
               node-browserify-lite <!nocheck>,
               node-es6-promise <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/libjs-fetch
Vcs-Git: https://salsa.debian.org/js-team/libjs-fetch.git
Homepage: https://github.com/github/fetch

Package: libjs-fetch
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: window.fetch JavaScript polyfill
 The fetch() function is a Promise-based mechanism for programmatically making
 web requests in the browser. This project is a polyfill that implements a
 subset of the standard Fetch specification, enough to make fetch a viable
 replacement for most uses of XMLHttpRequest in traditional web applications.

=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,7 @@
 endif
 
 override_dh_auto_build:
-	uglifyjs -o fetch.min.js fetch.js
+	#uglifyjs -o fetch.min.js fetch.js
+	cp fetch.js fetch.min.js
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
-	xvfb-run -a -s "-screen 0 640x480x16" ./script/test
-endif
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/fetch-$1\.tar\.gz/ \
https://github.com/github/fetch/tags .*/v?@ANY_VERSION@\.tar\.gz

## libjs-fetch 3.5.0

=== debian/changelog ===
libjs-fetch (3.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.5.0

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Nov 2020 13:04:19 +0100

libjs-fetch (3.0.0-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + libjs-fetch: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Provides node-whatwg-fetch

 -- Xavier Guimard <yadd@debian.org>  Mon, 02 Nov 2020 10:00:04 +0100

libjs-fetch (3.0.0-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Build with rollup
  * Update copyright
  * Update metadata

 -- Xavier Guimard <yadd@debian.org>  Mon, 03 Feb 2020 22:15:01 +0100

=== debian/control ===
Source: libjs-fetch
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: javascript
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , rollup
 , uglifyjs.terser
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/libjs-fetch
Vcs-Git: https://salsa.debian.org/js-team/libjs-fetch.git
Homepage: https://github.com/github/fetch
Rules-Requires-Root: no

Package: libjs-fetch
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Multi-Arch: foreign
Provides: node-whatwg-fetch
Description: window.fetch JavaScript polyfill
 The fetch() function is a Promise-based mechanism for programmatically making
 web requests in the browser. This project is a polyfill that implements a
 subset of the standard Fetch specification, enough to make fetch a viable
 replacement for most uses of XMLHttpRequest in traditional web applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	rollup -c
	ln -s fetch.umd.js dist/fetch.js
	uglifyjs.terser dist/fetch.umd.js >dist/fetch.min.js

override_dh_auto_test:
	# Not really a node module

override_dh_auto_install:
	dh_auto_install --buildsystem=nodejs
	rm -rf debian/libjs-fetch/usr/share/nodejs/whatwg-fetch/dist
